Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1805421 - bootstrap kas doesn't shut down gracefully because etcd-bootstrap removed
Summary: bootstrap kas doesn't shut down gracefully because etcd-bootstrap removed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Etcd Operator
Version: 4.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.5.0
Assignee: David Eads
QA Contact: ge liu
URL:
Whiteboard: no-qe
Depends On:
Blocks: 1805519 1806634
TreeView+ depends on / blocked
 
Reported: 2020-02-20 18:28 UTC by David Eads
Modified: 2020-07-13 17:17 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
: 1805519 (view as bug list)
Environment:
Last Closed: 2020-07-13 17:16:52 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-etcd-operator pull 179 0 None closed bug 1805421: allow bootstrap server to terminate before removing etcd-bootstrap fr… 2020-06-30 13:25:35 UTC
Github openshift cluster-kube-apiserver-operator pull 772 0 None closed bug 1805421: skip using bootstrap etcd 2020-06-30 13:25:35 UTC
Red Hat Product Errata RHBA-2020:2409 0 None None None 2020-07-13 17:17:18 UTC

Description David Eads 2020-02-20 18:28:33 UTC
because the etc-bootstrap member is removed before the bootstrap tear down of the kas-bootstrap happens, the KAS reports errors.  By allowing the bootstrap teardown to happen before etcd-bootstrap is removed, we can 

1. have a graceful kas-bootstrap shutdown
2. etcd will recover quorum with the in-cluster members
3. remove etcd-bootstrap at some later point.

This requires that the in-cluster kas not rely on the etcd-bootstrap.

Comment 3 errata-xmlrpc 2020-07-13 17:16:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.